> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hire.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new job post

> Create a new job post



## OpenAPI

````yaml api-reference/openapi.yaml post /zapier/create-job
openapi: 3.0.0
info:
  version: 1.0.0
  title: Hire.inc Integration API
  description: API for Hire.inc Integrations
servers:
  - url: https://mgnmzef4kd.us-east-1.awsapprunner.com/api/v1/
    description: Production Server
security: []
tags:
  - name: zapier
    description: Endpoints for Zapier operations
paths:
  /zapier/create-job:
    post:
      tags:
        - zapier
      summary: Create a new job post
      description: Create a new job post
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                title:
                  type: string
                  minLength: 3
                  maxLength: 255
                details:
                  type: string
                  maxLength: 10000
                seniority:
                  type: string
                  enum:
                    - entry
                    - junior
                    - midlevel
                    - senior
                    - executive
                type:
                  type: string
                  enum:
                    - fulltime
                    - parttime
                    - contract
                countryIso3:
                  type: string
                  maxLength: 100
                city:
                  type: string
                  maxLength: 100
                presence:
                  type: string
                  enum:
                    - onsite
                    - remote
                    - hybrid
                minAnnualSalary:
                  type: number
                  minimum: 0
                  maximum: 2147483647
                maxAnnualSalary:
                  type: number
                  minimum: 0
                  maximum: 2147483647
                showSalaryOnJobBoard:
                  type: boolean
                  default: false
              required:
                - title
              additionalProperties: false
      responses:
        '200':
          description: Successfully created the job post
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                required:
                  - id
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for authentication

````